| CUTLASS CUDA Templates for Linear Algebra Subroutines and Solvers

- Main Page
- Modules
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Types | List of all members
cutlass::gemm::threadblock::DefaultMma< ElementA, LayoutA, kAlignmentA, ElementB, LayoutB, kAlignmentB, ElementAccumulator, layout::ColumnMajorInterleaved< InterleavedK >, OperatorClass, ArchTag, ThreadblockShape, WarpShape, InstructionShape, 2, Operator, true > Struct Template Reference

Specialization for column-major-interleaved output.

`#include <default_mma.h>`

## Public Types
using | MmaCore = typename cutlass::gemm::threadblock::DefaultMmaCore< ThreadblockShape, WarpShape, InstructionShape, ElementA, LayoutA, ElementB, LayoutB, ElementAccumulator, layout::ColumnMajorInterleaved< InterleavedK >, OperatorClass, 2, Operator, true >
using | IteratorA = cutlass::transform::threadblock::PredicatedTileIterator< cutlass::MatrixShape< MmaCore::Shape::kM, MmaCore::Shape::kK >, ElementA, LayoutA, 1, typename MmaCore::IteratorThreadMapA >
using | IteratorB = cutlass::transform::threadblock::PredicatedTileIterator< cutlass::MatrixShape< MmaCore::Shape::kK, MmaCore::Shape::kN >, ElementB, LayoutB, 0, typename MmaCore::IteratorThreadMapB >
using | ThreadblockMma = cutlass::gemm::threadblock::MmaPipelined< typename MmaCore::Shape, IteratorA, typename MmaCore::SmemIteratorA, IteratorB, typename MmaCore::SmemIteratorB, ElementAccumulator, layout::ColumnMajorInterleaved< InterleavedK >, typename MmaCore::MmaPolicy >

## Member Typedef Documentation

template<typename ElementA , typename LayoutA , int kAlignmentA, typename ElementB , typename LayoutB , int kAlignmentB, typename ElementAccumulator , typename OperatorClass , typename ArchTag , typename ThreadblockShape , typename WarpShape , typename InstructionShape , typename Operator , int InterleavedK>

using cutlass::gemm::threadblock::DefaultMma< ElementA, LayoutA, kAlignmentA, ElementB, LayoutB, kAlignmentB, ElementAccumulator, layout::ColumnMajorInterleaved< InterleavedK >, OperatorClass, ArchTag, ThreadblockShape, WarpShape, InstructionShape, 2, Operator, true >::IteratorA = cutlass::transform::threadblock::PredicatedTileIterator< cutlass::MatrixShape<MmaCore::Shape::kM, MmaCore::Shape::kK>, ElementA, LayoutA, 1, typename MmaCore::IteratorThreadMapA>

template<typename ElementA , typename LayoutA , int kAlignmentA, typename ElementB , typename LayoutB , int kAlignmentB, typename ElementAccumulator , typename OperatorClass , typename ArchTag , typename ThreadblockShape , typename WarpShape , typename InstructionShape , typename Operator , int InterleavedK>

using cutlass::gemm::threadblock::DefaultMma< ElementA, LayoutA, kAlignmentA, ElementB, LayoutB, kAlignmentB, ElementAccumulator, layout::ColumnMajorInterleaved< InterleavedK >, OperatorClass, ArchTag, ThreadblockShape, WarpShape, InstructionShape, 2, Operator, true >::IteratorB = cutlass::transform::threadblock::PredicatedTileIterator< cutlass::MatrixShape<MmaCore::Shape::kK, MmaCore::Shape::kN>, ElementB, LayoutB, 0, typename MmaCore::IteratorThreadMapB>

template<typename ElementA , typename LayoutA , int kAlignmentA, typename ElementB , typename LayoutB , int kAlignmentB, typename ElementAccumulator , typename OperatorClass , typename ArchTag , typename ThreadblockShape , typename WarpShape , typename InstructionShape , typename Operator , int InterleavedK>

using cutlass::gemm::threadblock::DefaultMma< ElementA, LayoutA, kAlignmentA, ElementB, LayoutB, kAlignmentB, ElementAccumulator, layout::ColumnMajorInterleaved< InterleavedK >, OperatorClass, ArchTag, ThreadblockShape, WarpShape, InstructionShape, 2, Operator, true >::MmaCore = typename cutlass::gemm::threadblock::DefaultMmaCore< ThreadblockShape, WarpShape, InstructionShape, ElementA, LayoutA, ElementB, LayoutB, ElementAccumulator, layout::ColumnMajorInterleaved<InterleavedK>, OperatorClass, 2, Operator, true>

template<typename ElementA , typename LayoutA , int kAlignmentA, typename ElementB , typename LayoutB , int kAlignmentB, typename ElementAccumulator , typename OperatorClass , typename ArchTag , typename ThreadblockShape , typename WarpShape , typename InstructionShape , typename Operator , int InterleavedK>

using cutlass::gemm::threadblock::DefaultMma< ElementA, LayoutA, kAlignmentA, ElementB, LayoutB, kAlignmentB, ElementAccumulator, layout::ColumnMajorInterleaved< InterleavedK >, OperatorClass, ArchTag, ThreadblockShape, WarpShape, InstructionShape, 2, Operator, true >::ThreadblockMma = cutlass::gemm::threadblock::MmaPipelined< typename MmaCore::Shape, IteratorA, typename MmaCore::SmemIteratorA, IteratorB, typename MmaCore::SmemIteratorB, ElementAccumulator, layout::ColumnMajorInterleaved<InterleavedK>, typename MmaCore::MmaPolicy>

The documentation for this struct was generated from the following file:

- default_mma.h